---
title: 'Element: MSManipulationStateChanged event'
slug: Web/API/Element/MSManipulationStateChanged_event
tags:
  - Event
  - 'Event:Microsoft Extensions'
  - MSManipulationStateChanged
  - Non-standard
  - Reference
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<p><code><strong>MSManipulationStateChanged</strong></code> fires when the state of an element being manipulated has changed (ie. whenever you start or finish panning or zooming an element).</p>

<p>It is a proprietary event specific to Microsoft Edge and Internet Explorer.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td><a href="/en-US/docs/Web/API/MSManipulationEvent" title="MSManipulationEvent provides contextual information when contact is made to the screen and an element is manipulated."><code>MSManipulationEvent</code></a></td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>Unknown</td>
  </tr>
 </tbody>
</table>

<p>Get manipulation states using the <code>lastState </code>and <code>currentState </code>properties.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Listen for panning state change events
outerScroller.addEventListener("MSManipulationStateChanged", function(e) {
    // Check to see if they lifted while pulled to the top
    if (e.currentState == MS_MANIPULATION_STATE_INERTIA &amp;&amp;
        outerScroller.scrollTop === 0) {
        refreshItemsAsync();
    }
});
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.MSManipulationStateChanged_event")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>{{DOMxRef("MSManipulationEvent")}}</li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
